Skip to content

Returns minimal published selector metadata; does not grant source or Developer Studio access.

GET
/api/workspace/tasks/configuration/task-queues/{queueId}/selector-candidates
curl --request GET \
--url 'https://example.com/api/workspace/tasks/configuration/task-queues/example/selector-candidates?page=1&pageSize=25' \
--header 'Authorization: Bearer <token>'
queueId
required
string
search
string
page
integer format: int32
default: 1
pageSize
integer format: int32
default: 25
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
Items
Array<object>
nullable
object
FunctionId
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
SourceKind
string
nullable
SourceName
string
nullable
PublishedVersionId
string
nullable
PublishedVersionNumber
integer format: int32
nullable
Availability
integer format: int32
Allowed values: 0 1 2 3 4
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Availability": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}